/// #pkgName FGUI包名
/// #panelName UIPanel名字
/// #UIName = $"{#pkgName}{#panelName}" UIKey名字
/// 该脚本由模板创建
/// created by cb 2024

using XGame.Framework.UI;

namespace FL.FGUI
{
    public static partial class UIKeys
    {
        private static UIKey _PartnerMainPanel;
        public static UIKey PartnerMainPanel => _PartnerMainPanel ?? (_PartnerMainPanel = new UIKey("Partner", "MainPanel", typeof(PartnerMainPanelView)));
    }
    public partial class PartnerMainPanelView : UIView
    {

        protected override void AddController(IUIControllerGroup group)
        {
            group.Add(new PartnerMainPanelCtrl());
        }

        protected override IUIViewModel CreateViewModel()
        {
            return new PartnerMainPanelVM();
        }

        protected override void OnDispose()
        {
        }
    }
}

